{
 	File:		CMScriptingPlugin.p
 
 	Contains:	ColorSync Scripting Plugin API
 
 	Version:	Technology:	ColorSync 2.5
 				Release:	ColorSync 3.0 SDK for use with Universal Interfaces 3.2
 
 	Copyright:	 1998-1999 by Apple Computer, Inc., all rights reserved.
 
 	Bugs?:		For bug reports, consult the following page on
 				the World Wide Web:
 
 					http://developer.apple.com/bugreporter/
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT CMScriptingPlugin;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __CMSCRIPTINGPLUGIN__}
{$SETC __CMSCRIPTINGPLUGIN__ := 1}

{$I+}
{$SETC CMScriptingPluginIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __FILES__}
{$I Files.p}
{$ENDC}
{$IFC UNDEFINED __CMAPPLICATION__}
{$I CMApplication.p}
{$ENDC}
{$IFC UNDEFINED __CODEFRAGMENTS__}
{$I CodeFragments.p}
{$ENDC}




{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}


CONST
																{  ColorSync Scripting AppleEvent Errors  }
	cmspInvalidImageFile		= -4220;						{  Plugin cannot handle this image file type  }
	cmspInvalidImageSpace		= -4221;						{  Plugin cannot create an image file of this colorspace  }
	cmspInvalidProfileEmbed		= -4222;						{  Specific invalid profile errors  }
	cmspInvalidProfileSource	= -4223;
	cmspInvalidProfileDest		= -4224;
	cmspInvalidProfileProof		= -4225;
	cmspInvalidProfileLink		= -4226;


{*** embedFlags field  ***}
{ reserved for future use: currently 0 }

{*** matchFlags field  ***}
	cmspFavorEmbeddedMask		= $00000001;					{  if bit 0 is 0 then use srcProf profile, if 1 then use profile embedded in image if present }


{*** scripting plugin entry points  ***}

TYPE
{$IFC TYPED_FUNCTION_POINTERS}
	ValidateImageProcPtr = FUNCTION({CONST}VAR spec: FSSpec): CMError; C;
{$ELSEC}
	ValidateImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	GetImageSpaceProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR space: OSType): CMError; C;
{$ELSEC}
	GetImageSpaceProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	ValidateSpaceProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR space: OSType): CMError; C;
{$ELSEC}
	ValidateSpaceProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	EmbedImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; embedProf: CMProfileRef; embedFlags: UInt32): CMError; C;
{$ELSEC}
	EmbedImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	UnembedImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec): CMError; C;
{$ELSEC}
	UnembedImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	MatchImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; qual: UInt32; srcIntent: UInt32; srcProf: CMProfileRef; dstProf: CMProfileRef; prfProf: CMProfileRef; matchFlags: UInt32): CMError; C;
{$ELSEC}
	MatchImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CountImageProfilesProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR count: UInt32): CMError; C;
{$ELSEC}
	CountImageProfilesProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	GetIndImageProfileProcPtr = FUNCTION({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef): CMError; C;
{$ELSEC}
	GetIndImageProfileProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	SetIndImageProfileProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; index: UInt32; prof: CMProfileRef; embedFlags: UInt32): CMError; C;
{$ELSEC}
	SetIndImageProfileProcPtr = ProcPtr;
{$ENDC}

{*** CSScriptingLib entry points  ***}
{$IFC TYPED_FUNCTION_POINTERS}
	CMValidImageProcPtr = FUNCTION({CONST}VAR spec: FSSpec): CMError; C;
{$ELSEC}
	CMValidImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMGetImageSpaceProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR space: OSType): CMError; C;
{$ELSEC}
	CMGetImageSpaceProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMEmbedImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; embProf: CMProfileRef): CMError; C;
{$ELSEC}
	CMEmbedImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMUnembedImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN): CMError; C;
{$ELSEC}
	CMUnembedImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMMatchImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef): CMError; C;
{$ELSEC}
	CMMatchImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMProofImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef; prfProf: CMProfileRef): CMError; C;
{$ELSEC}
	CMProofImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMLinkImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; lnkProf: CMProfileRef; lnkIntent: UInt32): CMError; C;
{$ELSEC}
	CMLinkImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMCountImageProfilesProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR count: UInt32): CMError; C;
{$ELSEC}
	CMCountImageProfilesProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMGetIndImageProfileProcPtr = FUNCTION({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef): CMError; C;
{$ELSEC}
	CMGetIndImageProfileProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMSetIndImageProfileProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; index: UInt32; prof: CMProfileRef): CMError; C;
{$ELSEC}
	CMSetIndImageProfileProcPtr = ProcPtr;
{$ENDC}

	ValidateImageUPP = UniversalProcPtr;
	GetImageSpaceUPP = UniversalProcPtr;
	ValidateSpaceUPP = UniversalProcPtr;
	EmbedImageUPP = UniversalProcPtr;
	UnembedImageUPP = UniversalProcPtr;
	MatchImageUPP = UniversalProcPtr;
	CountImageProfilesUPP = UniversalProcPtr;
	GetIndImageProfileUPP = UniversalProcPtr;
	SetIndImageProfileUPP = UniversalProcPtr;
	CMValidImageUPP = UniversalProcPtr;
	CMGetImageSpaceUPP = UniversalProcPtr;
	CMEmbedImageUPP = UniversalProcPtr;
	CMUnembedImageUPP = UniversalProcPtr;
	CMMatchImageUPP = UniversalProcPtr;
	CMProofImageUPP = UniversalProcPtr;
	CMLinkImageUPP = UniversalProcPtr;
	CMCountImageProfilesUPP = UniversalProcPtr;
	CMGetIndImageProfileUPP = UniversalProcPtr;
	CMSetIndImageProfileUPP = UniversalProcPtr;

CONST
	uppValidateImageProcInfo = $000000F1;
	uppGetImageSpaceProcInfo = $000003F1;
	uppValidateSpaceProcInfo = $000003F1;
	uppEmbedImageProcInfo = $00003FF1;
	uppUnembedImageProcInfo = $000003F1;
	uppMatchImageProcInfo = $003FFFF1;
	uppCountImageProfilesProcInfo = $000003F1;
	uppGetIndImageProfileProcInfo = $00000FF1;
	uppSetIndImageProfileProcInfo = $0000FFF1;
	uppCMValidImageProcInfo = $000000F1;
	uppCMGetImageSpaceProcInfo = $000003F1;
	uppCMEmbedImageProcInfo = $000037F1;
	uppCMUnembedImageProcInfo = $000007F1;
	uppCMMatchImageProcInfo = $000FF7F1;
	uppCMProofImageProcInfo = $003FF7F1;
	uppCMLinkImageProcInfo = $0003F7F1;
	uppCMCountImageProfilesProcInfo = $000003F1;
	uppCMGetIndImageProfileProcInfo = $00000FF1;
	uppCMSetIndImageProfileProcInfo = $0000F7F1;

FUNCTION NewValidateImageUPP(userRoutine: ValidateImageProcPtr): ValidateImageUPP; { old name was NewValidateImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewGetImageSpaceUPP(userRoutine: GetImageSpaceProcPtr): GetImageSpaceUPP; { old name was NewGetImageSpaceProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewValidateSpaceUPP(userRoutine: ValidateSpaceProcPtr): ValidateSpaceUPP; { old name was NewValidateSpaceProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewEmbedImageUPP(userRoutine: EmbedImageProcPtr): EmbedImageUPP; { old name was NewEmbedImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewUnembedImageUPP(userRoutine: UnembedImageProcPtr): UnembedImageUPP; { old name was NewUnembedImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewMatchImageUPP(userRoutine: MatchImageProcPtr): MatchImageUPP; { old name was NewMatchImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCountImageProfilesUPP(userRoutine: CountImageProfilesProcPtr): CountImageProfilesUPP; { old name was NewCountImageProfilesProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewGetIndImageProfileUPP(userRoutine: GetIndImageProfileProcPtr): GetIndImageProfileUPP; { old name was NewGetIndImageProfileProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewSetIndImageProfileUPP(userRoutine: SetIndImageProfileProcPtr): SetIndImageProfileUPP; { old name was NewSetIndImageProfileProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMValidImageUPP(userRoutine: CMValidImageProcPtr): CMValidImageUPP; { old name was NewCMValidImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMGetImageSpaceUPP(userRoutine: CMGetImageSpaceProcPtr): CMGetImageSpaceUPP; { old name was NewCMGetImageSpaceProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMEmbedImageUPP(userRoutine: CMEmbedImageProcPtr): CMEmbedImageUPP; { old name was NewCMEmbedImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMUnembedImageUPP(userRoutine: CMUnembedImageProcPtr): CMUnembedImageUPP; { old name was NewCMUnembedImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMMatchImageUPP(userRoutine: CMMatchImageProcPtr): CMMatchImageUPP; { old name was NewCMMatchImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMProofImageUPP(userRoutine: CMProofImageProcPtr): CMProofImageUPP; { old name was NewCMProofImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMLinkImageUPP(userRoutine: CMLinkImageProcPtr): CMLinkImageUPP; { old name was NewCMLinkImageProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMCountImageProfilesUPP(userRoutine: CMCountImageProfilesProcPtr): CMCountImageProfilesUPP; { old name was NewCMCountImageProfilesProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMGetIndImageProfileUPP(userRoutine: CMGetIndImageProfileProcPtr): CMGetIndImageProfileUPP; { old name was NewCMGetIndImageProfileProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMSetIndImageProfileUPP(userRoutine: CMSetIndImageProfileProcPtr): CMSetIndImageProfileUPP; { old name was NewCMSetIndImageProfileProc }
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

PROCEDURE DisposeValidateImageUPP(userUPP: ValidateImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeGetImageSpaceUPP(userUPP: GetImageSpaceUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeValidateSpaceUPP(userUPP: ValidateSpaceUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeEmbedImageUPP(userUPP: EmbedImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeUnembedImageUPP(userUPP: UnembedImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeMatchImageUPP(userUPP: MatchImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCountImageProfilesUPP(userUPP: CountImageProfilesUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeGetIndImageProfileUPP(userUPP: GetIndImageProfileUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeSetIndImageProfileUPP(userUPP: SetIndImageProfileUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMValidImageUPP(userUPP: CMValidImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMGetImageSpaceUPP(userUPP: CMGetImageSpaceUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMEmbedImageUPP(userUPP: CMEmbedImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMUnembedImageUPP(userUPP: CMUnembedImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMMatchImageUPP(userUPP: CMMatchImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMProofImageUPP(userUPP: CMProofImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMLinkImageUPP(userUPP: CMLinkImageUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMCountImageProfilesUPP(userUPP: CMCountImageProfilesUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMGetIndImageProfileUPP(userUPP: CMGetIndImageProfileUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

PROCEDURE DisposeCMSetIndImageProfileUPP(userUPP: CMSetIndImageProfileUPP);
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $594F;
	{$ENDC}

FUNCTION InvokeValidateImageUPP({CONST}VAR spec: FSSpec; userRoutine: ValidateImageUPP): CMError; { old name was CallValidateImageProc }

FUNCTION InvokeGetImageSpaceUPP({CONST}VAR spec: FSSpec; VAR space: OSType; userRoutine: GetImageSpaceUPP): CMError; { old name was CallGetImageSpaceProc }

FUNCTION InvokeValidateSpaceUPP({CONST}VAR spec: FSSpec; VAR space: OSType; userRoutine: ValidateSpaceUPP): CMError; { old name was CallValidateSpaceProc }

FUNCTION InvokeEmbedImageUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; embedProf: CMProfileRef; embedFlags: UInt32; userRoutine: EmbedImageUPP): CMError; { old name was CallEmbedImageProc }

FUNCTION InvokeUnembedImageUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; userRoutine: UnembedImageUPP): CMError; { old name was CallUnembedImageProc }

FUNCTION InvokeMatchImageUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; qual: UInt32; srcIntent: UInt32; srcProf: CMProfileRef; dstProf: CMProfileRef; prfProf: CMProfileRef; matchFlags: UInt32; userRoutine: MatchImageUPP): CMError; { old name was CallMatchImageProc }

FUNCTION InvokeCountImageProfilesUPP({CONST}VAR spec: FSSpec; VAR count: UInt32; userRoutine: CountImageProfilesUPP): CMError; { old name was CallCountImageProfilesProc }

FUNCTION InvokeGetIndImageProfileUPP({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef; userRoutine: GetIndImageProfileUPP): CMError; { old name was CallGetIndImageProfileProc }

FUNCTION InvokeSetIndImageProfileUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; index: UInt32; prof: CMProfileRef; embedFlags: UInt32; userRoutine: SetIndImageProfileUPP): CMError; { old name was CallSetIndImageProfileProc }

FUNCTION InvokeCMValidImageUPP({CONST}VAR spec: FSSpec; userRoutine: CMValidImageUPP): CMError; { old name was CallCMValidImageProc }

FUNCTION InvokeCMGetImageSpaceUPP({CONST}VAR spec: FSSpec; VAR space: OSType; userRoutine: CMGetImageSpaceUPP): CMError; { old name was CallCMGetImageSpaceProc }

FUNCTION InvokeCMEmbedImageUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; embProf: CMProfileRef; userRoutine: CMEmbedImageUPP): CMError; { old name was CallCMEmbedImageProc }

FUNCTION InvokeCMUnembedImageUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; userRoutine: CMUnembedImageUPP): CMError; { old name was CallCMUnembedImageProc }

FUNCTION InvokeCMMatchImageUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef; userRoutine: CMMatchImageUPP): CMError; { old name was CallCMMatchImageProc }

FUNCTION InvokeCMProofImageUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef; prfProf: CMProfileRef; userRoutine: CMProofImageUPP): CMError; { old name was CallCMProofImageProc }

FUNCTION InvokeCMLinkImageUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; lnkProf: CMProfileRef; lnkIntent: UInt32; userRoutine: CMLinkImageUPP): CMError; { old name was CallCMLinkImageProc }

FUNCTION InvokeCMCountImageProfilesUPP({CONST}VAR spec: FSSpec; VAR count: UInt32; userRoutine: CMCountImageProfilesUPP): CMError; { old name was CallCMCountImageProfilesProc }

FUNCTION InvokeCMGetIndImageProfileUPP({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef; userRoutine: CMGetIndImageProfileUPP): CMError; { old name was CallCMGetIndImageProfileProc }

FUNCTION InvokeCMSetIndImageProfileUPP({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; index: UInt32; prof: CMProfileRef; userRoutine: CMSetIndImageProfileUPP): CMError; { old name was CallCMSetIndImageProfileProc }
{*** CSScriptingLib API  ***}

FUNCTION CMValidImage({CONST}VAR spec: FSSpec): CMError; C;
FUNCTION CMGetImageSpace({CONST}VAR spec: FSSpec; VAR space: OSType): CMError; C;
FUNCTION CMEmbedImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; embProf: CMProfileRef): CMError; C;
FUNCTION CMUnembedImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN): CMError; C;
FUNCTION CMMatchImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef): CMError; C;
FUNCTION CMProofImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef; prfProf: CMProfileRef): CMError; C;
FUNCTION CMLinkImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; lnkProf: CMProfileRef; lnkIntent: UInt32): CMError; C;
FUNCTION CMCountImageProfiles({CONST}VAR spec: FSSpec; VAR count: UInt32): CMError; C;
FUNCTION CMGetIndImageProfile({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef): CMError; C;
FUNCTION CMSetIndImageProfile({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; index: UInt32; prof: CMProfileRef): CMError; C;
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := CMScriptingPluginIncludes}

{$ENDC} {__CMSCRIPTINGPLUGIN__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
