
#ifndef _COLORSYNCUTILS_
#define _COLORSYNCUTILS_


#ifndef __FILES__
#include <Files.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef __CMICCPROFILE__
#include <CMICCProfile.h>
#endif



/**\
|**| ==============================================================================
|**| PUBLIC GLOBALS
|**| ==============================================================================
\**/
extern Boolean gCS2_available ;


/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/
typedef CMProfileIdentifier **CMProfileIdentifierHdl ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
Boolean	CS2_available					( void ) ;
long	CS_version						( void ) ;
CMError OpenProfileFSSpec				( FSSpec spec, CMProfileRef *prof ) ;
CMError ReOpenProfileRef				( CMProfileRef *newProf, CMProfileRef prof ) ;
CMError	GetProfVersion					( CMProfileRef prof, unsigned long *vers) ;
CMError GetProfileIdentifierSize		( CMProfileIdentifierPtr ident, unsigned long *size ) ;
CMError	GetProfName						( CMProfileRef prof, StringPtr name ) ;
CMError GetProfileIdentName				( CMProfileIdentifierPtr ident, StringPtr name ) ;
CMError ProfileIdentComment				( CMProfileIdentifierPtr ident ) ;
void	EndProfileComment				( void ) ;
CMError CMIterateColorSyncFolderCompat	( CMProfileIterateUPP proc,
										  unsigned long *seed, unsigned long *count,
										  void *refCon ) ;
CMError NCMUseProfileCommentCompat		( CMProfileRef prof, unsigned long flags) ;
CMError CMCreateProfileIdentifierCompat	( CMProfileRef prof, CMProfileIdentifierPtr ident, unsigned long *size) ;
CMError ConvertV1Profile				( CMProfileRef prof, CMProfileHandle *h ) ;

CMError PrependProfileToPicHandle		( PicHandle pict, PicHandle *pictNew,
										  CMProfileRef prof, unsigned long flags ) ;
CMError PrependProfileIdentToPicHandle	( PicHandle pict, PicHandle *pictNew,
										  CMProfileIdentifierPtr ident ) ;
CMError MatchPicHandle					( PicHandle pict, PicHandle *pictMatched,
										  CMProfileRef srceProf,
										  CMProfileRef prevProf,
										  unsigned long *ticks,
										  unsigned long *pixels ) ;
CMError ProofPicHandle					( PicHandle pict, PicHandle *pictProofed,
										  CMProfileRef srceProf,
										  CMProfileRef destProf,
										  CMProfileRef prevProf,
										  unsigned long *ticks,
										  unsigned long *pixels ) ;
CMError CheckPicHandle					( PicHandle pict, PicHandle *pictChecked,
										  CMProfileRef srceProf,
										  CMProfileRef destProf,
										  unsigned long *ticks,
										  unsigned long *pixels ) ;
										  
CMError	CountProfilesInPicHandle		( PicHandle pict, unsigned long *count ) ;
CMError GetIndexedProfileFromPicHandle	( PicHandle pict, unsigned long index,
										  CMProfileRef *prof, CMProfileLocation *profLoc ) ;
Boolean IsPseudoProfile					( CMProfileRef prof ) ;
CMError GetPseudoProfileIDHdl			( CMProfileRef prof, CMProfileIdentifierHdl *ident );
CMError	CreatePseudoProfileID			( CMProfileIdentifierPtr ident, unsigned long *size,
										  CMProfileRef *prof, CMProfileLocation *profLoc );
CMError	PseudoProfileFolderSearch		( CMProfileRef srcProf, CMProfileRef *foundProf);
CMError	PseudoProfileListSearch			( CMProfileRef srcProf, CMProfileRef *foundProf,
										  CMProfileRef *profileList, unsigned long listSize );
OSErr	ReadProfileIdentifier			( FSSpec spec, CMProfileIdentifierHdl *idHdl ) ;
OSErr	WriteProfileIdentifier			( FSSpec spec, CMProfileIdentifierHdl idHdl, OSType creator ) ;


#endif
