
#ifndef _WINPICTDOC_
#define _WINPICTDOC_


#include <MacTypes.h>
#include <QuickDraw.h>
#include <Palettes.h>
#include <Lists.h>
#include <CMApplication.h>

#ifndef _WIN_
#include "win.h"
#endif

#ifndef _DRAGUTILS_
#include "dragUtils.h"
#endif


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define kPictDocType			'Pict'			// about window tag
#define rPictDocHorzScrollID	3000			// 'CNTL' resource id
#define rPictDocVertScrollID	3001			// 'CNTL' resource id
#define rPictDocMatchOnOffID	3002			// 'CNTL' resource id
#define rPictDocMatchPopupID	3003			// 'CNTL' resource id
#define kProfDocPictSubtype		'PICT'

#define kOriginal	1
#define kMatched	2
#define kProofed	3
#define kChecked	4
#define kDrwMchdPct	5
#define kTotal		16

#define kSrceProf	1
#define kDestProf	2
#define kPrevProf	3
#define kEmbedProfs	4


/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/
typedef struct PictDocData
{
	PicHandle			Pict ;

	PicHandle			PictMatched ;
	PicHandle			PictProofed ;
	PicHandle			PictChecked ;

	unsigned long		MatchTime ;
	unsigned long		ProofTime ;
	unsigned long		CheckTime ;
	unsigned long		MatchTotalTime ;
	unsigned long		ProofTotalTime ;
	unsigned long		CheckTotalTime ;
	unsigned long		PixelCount ;

	Boolean				PictMatchedNeedsUpdate ;
	Boolean				PictProofedNeedsUpdate ;
	Boolean				PictCheckedNeedsUpdate ;

	Rect				PictRect ;
	Rect				PaneRect ;

	PaletteHandle		Palette ;

	ControlHandle		HorzScroll ;
	ControlHandle		VertScroll ;
	ControlHandle		MatchOnOff ;
	ControlHandle		MatchPopup ;

	CMProfileRef		SrceProf ;
	CMProfileRef		DestProf ;
	CMProfileRef		PrevProf ;

	ListHandle			ProfList ;
	unsigned long		ListCount ;

	DragZonesHdl		DragZones ;

} PictDocDataRec, *PictDocDataPtr, **PictDocDataHdl ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void		winActivatePictDoc		( winHandle win, Boolean activating ) ;
void		winUpdatePictDoc		( winHandle win, EventRecord *e ) ;
void		winClickPictDoc			( winHandle win, EventRecord *e ) ;
void		winResizePictDoc		( winHandle win ) ;
void		winMenuPictDoc			( winHandle win, long menuResult, Boolean *didit ) ;
void		winUpdateMenusPictDoc	( winHandle win ) ;
OSErr		winAllocPictDoc			( winHandle win ) ;
OSErr		winNewPictDoc			( winHandle win ) ;
OSErr		winOpenPictDoc			( winHandle win ) ;
void		winClosePictDoc			( winHandle win ) ;
void		winDisposePictDoc		( winHandle win ) ;
OSErr		winPageCountPictDoc		( winHandle win, short *pageCount ) ;
OSErr		winPagePrintPictDoc		( winHandle win, GrafPtr imagingPort, short pageNum ) ;


#endif