// A profile window
//
// David Hayward 
// Developer Technical Support
// AppleLink: DEVSUPPORT
//
// Copyrite 1995, Apple Computer,Inc
//
// This file contains the getter/setter routines for
// the ProfileDataHdl fields of a profile window.
// 
// 12/13/94	david	first cut


#include "win.h"
#include "winProfIDGetSet.h"


/*------------------------------------------------------------------------------*\
	GetProfIDIDHdl / SetProfIDIDHdl
 *------------------------------------------------------------------------------*
		These routines get and set the IDHdl field of the ProfIDDataHdl
		of the winRecord.
\*------------------------------------------------------------------------------*/
CMProfileIdentifier** GetProfIDIDHdl ( winHandle win )
{
	ProfIDDataHdl	data ;
		data = (ProfIDDataHdl) GetWinData( win ) ;
	if ( data==nil ) return nil;
	return (**data).IDHdl ;
}
void SetProfIDIDHdl ( winHandle win, CMProfileIdentifier** IDHdl )
{	
	ProfIDDataHdl	data ;
	data = (ProfIDDataHdl) GetWinData( win ) ;
	if ( data==nil ) return ;
	(**data).IDHdl = IDHdl ;
}


/*------------------------------------------------------------------------------*\
	GetProfIDIndex / SetProfIDIndex
 *------------------------------------------------------------------------------*
		These routines get and set the Index field of the ProfIDDataHdl
		of the winRecord.
\*------------------------------------------------------------------------------*/
unsigned long GetProfIDIndex ( winHandle win )
{
	ProfIDDataHdl	data ;
		data = (ProfIDDataHdl) GetWinData( win ) ;
	if ( data==nil ) return nil;
	return (**data).Index ;
}
void SetProfIDIndex ( winHandle win, unsigned long index )
{	
	ProfIDDataHdl	data ;
	data = (ProfIDDataHdl) GetWinData( win ) ;
	if ( data==nil ) return ;
	(**data).Index = index ;
}


/*------------------------------------------------------------------------------*\
	GetProfIDMode / SetProfIDMode
 *------------------------------------------------------------------------------*
		These routines get and set the Mode field of the ProfIDDataHdl
		of the winRecord.
\*------------------------------------------------------------------------------*/
unsigned long GetProfIDMode ( winHandle win )
{
	ProfIDDataHdl	data ;
		data = (ProfIDDataHdl) GetWinData( win ) ;
	if ( data==nil ) return nil;
	return (**data).Mode ;
}
void SetProfIDMode ( winHandle win, unsigned long mode )
{	
	ProfIDDataHdl	data ;
	data = (ProfIDDataHdl) GetWinData( win ) ;
	if ( data==nil ) return ;
	(**data).Mode = mode ;
}


