// Simple framework for Macintosh sample code
//
// David Hayward and Nick Thompson 
// Developer Technical Support
// AppleLink: DEVSUPPORT
//
// Copyrite 1995, Apple Computer,Inc
//
// Simple error handling code, based on sample code by smd
// 
// 9/16/94	nick	first cut

#include <AppleEvents.h>
#include <Dialogs.h>
#include <OSUtils.h>
#include <ToolUtils.h>
#include <Processes.h>
#include <TextUtils.h>

#include "appErrors.h"
#include "resourceUtils.h"


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTIONS
|**| ==============================================================================
\**/


/*------------------------------------------------------------------------------*\
	WarnIfErr
 *------------------------------------------------------------------------------*
		If an error has occurred, I check the user interaction level.
		If I can interact with the user, I put up a dialog.
		For convenience, this routine returns the same value it is passed.
\*------------------------------------------------------------------------------*/
OSErr WarnIfErr ( OSErr error )
{
	short		index ;
	Str255		message="\pAn error was encountered" ;
	Str255		errNumber ;
	OSErr		reserr ;

	if ( error==0 )
		return error;
//	if ( AEInteractWithUser(kNoTimeOut, nil, nil) )			// if we cant interact
//			return ;

	index = error ;
	if( error < 0 )
		index = eGenericError ;

	reserr = GetErrStringPtr( index, message ) ;
	if (reserr) 		// if an error string wasn't found
	{
		index = eGenericError ;
		reserr = GetErrStringPtr( index, message ) ;
		// if still reserr, then the default message above will be used
	}
	
	if (index == eGenericError)
	{
		NumToString( error, errNumber ) ;
		ParamText(	message,
					(ConstStr255Param)"\p (",
					errNumber,
					(ConstStr255Param)"\p).") ;
	}
	else
	{
		ParamText(	message,
					(ConstStr255Param)"\p",
					(ConstStr255Param)"\p",
					(ConstStr255Param)"\p") ;
	}

	StopAlert(rNonfatalAlert, nil) ;
	return error ;
}


/*------------------------------------------------------------------------------*\
	FailIfErr
 *------------------------------------------------------------------------------*
		If an error has occurred, I check the user interaction level.
		If I can interact with the user, I put up a dialog and exit the application;
		Otherwise,  I just exit the application.
	
		***NOTE: Real applications would not handle errors in this fashion!
		If they cannot interact with the user, they should abort the Apple event
		handler and return the error in the reply parameter.
\*------------------------------------------------------------------------------*/
void FailIfErr ( OSErr error )
{
	short		index ;
	Str255		message="\pAn error was encountered" ;
	Str255		errNumber ;
	OSErr		reserr ;

	if ( error==0 )
		return ;
//	if ( AEInteractWithUser(kNoTimeOut, nil, nil) )			// if we cant interact
//		ExitToShell() ;

	index = error ;
	if( error < 0 )
		index = eGenericError ;

	reserr = GetErrStringPtr( index, message ) ;
	if (reserr) 		// if an error string wasn't found
	{
		index = eGenericError ;
		reserr = GetErrStringPtr( index, message ) ;
		// if still reserr, then the default message above will be used
	}

	if (index == eGenericError)
	{
		NumToString( error, errNumber ) ;
		ParamText(	message,
					(ConstStr255Param)"\p (",
					errNumber,
					(ConstStr255Param)"\p).") ;
	}
	else
	{
		ParamText(	message,
					(ConstStr255Param)"\p",
					(ConstStr255Param)"\p",
					(ConstStr255Param)"\p") ;
	}

	StopAlert( rFatalAlert, nil ) ;
	ExitToShell() ;
}
