// Simple framework for Macintosh sample code
//
// David Hayward and Nick Thompson 
// Developer Technical Support
// AppleLink: DEVSUPPORT
//
// Copyrite 1995, Apple Computer,Inc
//
// This file contains the QuickDraw GX related globals for the framework
// These are in a seperate file to attempt to isolate the GX code from the 
// classic code.
// 
// 10/17/94		nick	first cut
// 11/16/94		david	changed global variable name gGXIsInstalled to gQDGX_available
//						changed global variable name gIsQuickDrawGXDebuggingInstalled to gQDGXDebug_available


#include "gxGlobals.h"


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/

// If "QDGXDebugging" is defined, graphics library errors and notices will be posted.
// This functionality will only work with the "debugging" version of QuickDraw GX.
// If the debugging version is not installed, nothing bad will happen, but these
// functions will not work. 
#define	QDGXDebugging  	1;

// If "QDGXValidation" is defined you will receive run-time validation.
#define QDGXValidation	1;

/**\
|**| ==============================================================================
|**| PUBLIC GLOBALS
|**| ==============================================================================
\**/

gxGraphicsClient	gQDGXClient = nil;			// this is the client reference for this app

// gGraphicsHeapSize sets the size of the graphics heap created by calling the
// GXNewGraphicsClient routine in main() within QuickDraw GX shell.c.  You can determine
// the amount of graphics heap required by using GraphicsBug.  I'm giving it 600K,
// since we need abunch if we have several windows open.
long				gQDGXGraphicsHeapSize = 600;
