
#ifndef _LISTSUTILS_
#define _LISTSUTILS_


#ifndef __LISTS__
#include <Lists.h>
#endif
 

/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/

typedef pascal OSErr (*StartListDragProcPtr) (ListHandle theList, EventRecord *theEvent) ;

#if GENERATINGCFM
typedef UniversalProcPtr StartListDragUPP;
#else
typedef StartListDragProcPtr StartListDragUPP;
#endif

enum {
	uppStartListDragProcInfo = kPascalStackBased
		 | RESULT_SIZE(SIZE_CODE(sizeof(OSErr)))
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(ListHandle)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(EventRecord*)))
};
		
#if GENERATINGCFM
#define NewStartListDragProc(userRoutine)		\
		(StartListDragUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppStartListDragProcInfo, GetCurrentArchitecture())
#else
#define NewStartListDragProc(userRoutine)		\
		((StartListDragUPP) (userRoutine))
#endif
		
#if GENERATINGCFM
#define CallStartListDragProc(userRoutine, theList, theEvent)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppStartListDragProcInfo, (theList), (theEvent))
#else
#define CallStartListDragProc(userRoutine, theList, theEvent)		\
		(*(userRoutine))((theList), (theEvent))
#endif


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
Boolean			LClickDrag				( EventRecord *event, ListHandle list, StartListDragUPP startDrag, Boolean *dragStarted ) ;
Boolean			GetSingleSelect			( Cell *cell, ListRef list) ;
void			GetCellRect				( ListHandle list, Cell *theCell, Rect *rct ) ;
void			ClearListSelection		( ListHandle list ) ;
Boolean			GetListSelectionRect	( ListHandle list, Rect *rct ) ;
Boolean			GetListSelectionRgn		( ListHandle list, RgnHandle rgn ) ;
Boolean			MouseHitSelection		( ListHandle list, Point localPt) ;


#endif