
#ifndef _QDPRINTING_
#define _QDPRINTING_


#ifndef __PRINTING__
#include <Printing.h>
#endif


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define r_printHdlType	'PREC'
#define noPrinterChosenErr	42		// OK to use 42, it's obsolete.


/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/
typedef struct QDPrintLoopParams
{
	THPrint 		hPrint ;
	WindowRef		window ;		// the window to print from
	GrafPtr			printingPort ;	// the dprot to print into
	long			firstPage ;
	long			lastPage ;
	long			currentPage ;
	DialogPtr		statusDialog ;
	
} QDPrintLoopParamsRec, *QDPrintLoopParamsPtr, **QDPrintLoopParamsHdl ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
OSErr		QDPrinting_available	( void ) ;

OSErr		GetDefaultTHPrint		( THPrint *hPrint ) ;
OSErr		LoadResourceTHPrint		( THPrint *hPrint, FSSpec *spec ) ;
OSErr		SaveResourceTHPrint		( THPrint hPrint, FSSpec *spec ) ;

OSErr		QDGetPageSize			( THPrint hPrint, Rect *pageRect ) ;

OSErr		QDStyleDlog				( THPrint hPrint ) ;
OSErr		QDJobDlog				( THPrint hPrint ) ;

OSErr		QDPrintLoopBegin		( QDPrintLoopParamsPtr params ) ;
OSErr		QDPrintLoopPageBefore	( QDPrintLoopParamsPtr params ) ;
OSErr		QDPrintLoopPageAfter	( QDPrintLoopParamsPtr params ) ;
OSErr		QDPrintLoopEnd			( QDPrintLoopParamsPtr params ) ;


#endif
