// ===========================================================================
//	<PP Starter Header>.h		1994-1995 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LApplication.h>
#include <LListener.h>
#include <LGrowZone.h>
#include <LButton.h>
#include <LCaption.h>
#include <LDialogBox.h>
#include <LEditField.h>
#include <LGroupBox.h>
#include <LIconPane.h>
#include <LPane.h>
#include <LPicture.h>
#include <LStdControl.h>
#include <LView.h>
#include <LWindow.h>
#include <PP_Messages.h>
#include <PP_Resources.h>
#include <UDrawingState.h>
#include <UMemoryMgr.h>
#include <URegistrar.h>
#include <UReanimator.h>
#include <UModalDialogs.h>
#include <UKeyFilters.h>
#include <LTabGroup.h>
#include <StandardFile.h>
#include <Gestalt.h>


#include <CMApplication.h>
#include <CMCalibrator.h>

#include <math.h>


#define PP_NewClasses


class	MakeMonitorProfApp : public LApplication,
							 public LListener,
							 public UKeyFilters {

public:

	
						MakeMonitorProfApp	(CalibratorInfo *theInfo);
	virtual 			~MakeMonitorProfApp	();

	static EKeyStatus	FixedField			(TEHandle		inMacTEH,
											Char16			inKeyCode,
											Char16			&ioCharCode,
											EventModifiers	inModifiers);
	
#if Build_as_Calibrator
	virtual void		MakeModelDirector	();

	virtual void		EventUpdate			(const EventRecord &inMacEvent);
	virtual void		EventActivate		(const EventRecord &inMacEvent);
	
	virtual CalibrateEventUPP	GetEventProc() const		{ return eventProc; }
	virtual CMProfileLocation	GetProfileLocation() const	{ return profileLocation; }
	virtual Boolean				GetIsGood() const			{ return isGood; }
#endif
	
	virtual	void		ListenToMessage		(MessageT inMessage, void *ioParam);
	virtual Boolean		AllowSubRemoval		(LCommander *inSub);
	
protected:
	
	LWindow	*	MakeEventsWindow();	

	OSErr		LoadProfile				(CMProfileRef *profile);
	OSErr		SaveProfile				(CMProfileRef *profile);
	OSErr		CloseProfile			(CMProfileRef profile, long permission);
	
	OSErr 		GetProfileInfo			(CMProfileRef profile);
	OSErr 		SetProfileInfo			(CMProfileRef profile);
	
	void		GetEditFields			();
	void		SetEditFields			();

	OSErr 		ExtractGammaFromTRC		(CMCurveType *theTbl,Fixed* theGamma);
	OSErr 		ExtractGammaFromVCGT	(CMVideoCardGamma *vcgt);
	
	CMError		SetProfileDescription	(CMProfileRef prof, Str255 name, ScriptCode code);
	CMError		SetProfileElementText	(CMProfileRef prof, OSType tagType, Str255 text );
	CMError		GetProfileElementXYZ	(CMProfileRef prof, OSType tagType, CMFixedXYZColor *xyz );
	CMError		SetProfileElementXYZ	(CMProfileRef prof, OSType tagType, CMFixedXYZColor *xyz );
	CMError		GetProfileElementTRC	(CMProfileRef prof, OSType tagType, CMCurveType **trc );
	CMError		GetProfileElementVCGT	(CMProfileRef prof, OSType tagType, CMVideoCardGamma **vcgt );
	
	void		P2Fixed					(StringPtr aStr,Fixed* f);
	void		Fixed2P					(Fixed f, StringPtr aStr);
	
	AVIDType 						displayID;
#if Build_as_Calibrator
	CalibrateEventUPP 				eventProc;
#endif
	CMProfileLocation 				profileLocation;
	Boolean 						isGood;
	
private:
	
	LWindow	*						theMainWindow;
	Fixed							xyzVals[8];
	Fixed							gammaVals[3];
	Fixed							vcgtVals[9];
	Str255							descStr;
	Str255							copyrgtStr;
#if Build_as_Calibrator
	LCommander* 	 				mTarget;
	Handle							oldMenuBar;
#endif
};

