/*
	File:		StringUtils.h
	Contains:	
	Version:	ColorSync 2 or later
	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.

	File Ownership:
		DRI:				David Hayward
		Other Contact:		Steve Swen
		Technology:			ColorSync 2

	Writers:

		(DH)	David Hayward

	Change History (most recent first):

		 <3>	 9/28/98	DH		Change include to MacMemory.h
*/


#ifndef _STRINGUTILS_
#define _STRINGUTILS_


#include <Files.h>
#include <MacMemory.h>
#include <MacTypes.h>
#include <ToolUtils.h>


#ifdef __cplusplus
extern "C" {
#endif

/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void	StringToString		( StringPtr src, StringPtr dest ) ;
void	OSTypeToString		( OSType type, StringPtr dest ) ;
void	FSSpecToString		( FSSpec spec, StringPtr dest, Boolean appendName) ;
void	LongHexToString		( long num, StringPtr dest ) ;
void	VersionToString		( long vers, StringPtr dest) ;

void	pStrCat				( StringPtr dst, StringPtr src, unsigned char size ) ;
void	pStrIns				( StringPtr dst, StringPtr src, unsigned char size ) ;

SInt16	MyReplaceText		( Handle dest, StringPtr rplc, Str15 key ) ;
void	MyTETextBox 		( Ptr text, long length, Rect *box, SInt16 justType) ;

OSErr FormatExtd80 (extended80 *x, SInt16 formatID, StringPtr dest);
OSErr UnformatExtd80 (extended80 *x, SInt16 formatID, StringPtr str);

void Extd80ToLong (extended80 *x, long *num);
void LongToExtd80 (long *num, extended80 *x);
void Extd80ToFixed (extended80 *x, Fixed *num);
void FixedToExtd80 (Fixed *num, extended80 *x);
void Extd80ToSmallFract ( extended80 *x, SInt16 *num);
void SmallFractToExtd80 ( SInt16 *num, extended80 *x);
OSErr FormatLong (long num, SInt16 formatID, StringPtr dest);
OSErr UnformatLong (StringPtr str, SInt16 formatID, long *num);
OSErr FormatFixed ( Fixed num, SInt16 formatID, StringPtr dest);
OSErr UnformatFixed (StringPtr str, SInt16 formatID, Fixed *num);
OSErr FormatSmallFract (SInt16 num, SInt16 formatID, StringPtr dest);
OSErr FormatFloat (float num, SInt16 formatID, StringPtr dest);
OSErr UnformatFloat (StringPtr dest, SInt16 formatID, float *num);


#ifdef __cplusplus
}
#endif



#endif