/*
	File:		CSExport.r
	Contains:	
	Version:	ColorSync 2 or later
	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.

	File Ownership:
		DRI:				David Hayward
		Other Contact:		Steve Swen
		Technology:			ColorSync 2

	Writers:
		(DH)	David Hayward

	Change History (most recent first):

		 <8>	 1/22/98	DH		Removed trademarks.
		 <7>	 10/8/97	DH		Removed USE_TABS conditional.
		 <6>	 9/22/97	DH		Added item for ColorSync 2.5 pict.
		 <5>	 7/23/97	DH		Made about box ditl item less than 241 chars.
		 <4>	 7/11/97	DH		Changes for Universal Interfaces 3.0.
		 <3>	 6/18/97	DH		version is now defined in prefix.
		 <2>	 6/18/97	DH		version is now conditional.
		 <1>	 6/18/97	DH		First checked in.
*/


#define SystemSevenOrLater	1

#include "Types.r"
#include "Balloons.r"

#define CustomGetID			-4048


resource 'DLOG' (CustomGetID, purgeable) {
	{33, 11, 237+20, 359},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	CustomGetID,
	"",
	noAutoCenter
};

resource 'DITL' (CustomGetID, purgeable) {
	{
		/* [1] */	{154, 252, 174, 332}, Button		{ enabled, "Select" },
		/* [2] */	{123, 252, 143, 332}, Button		{ enabled, "Cancel" },
		/* [3] */	{  0,   0,   0,   0}, HelpItem		{ disabled, HMScanhdlg { -4050 } },
		/* [4] */	{ 27, 235,  43, 337}, UserItem		{ enabled },
		/* [5] */	{ 51, 252,  71, 332}, Button		{ enabled, "Eject" },
		/* [6] */	{ 79, 252,  99, 332}, Button		{ enabled, "Desktop" },
		/* [7] */	{ 48,  12, 178, 230}, UserItem		{ enabled },
		/* [8] */	{ 25,  12,  44, 230}, UserItem		{ enabled },
		/* [9] */	{110, 251, 111, 333}, Picture		{ disabled, 11 },
		/* [10] */	{  1,   4,  20, 345}, StaticText	{ disabled, "Select a profile:" },
		/* [11] */	{184,  12, 203, 342}, StaticText	{ enabled, "" },
		/* [13] */	{  0,   0,   0,   0}, HelpItem		{ enabled, HMScanhdlg { CustomGetID } },
		/* [14] */	{  0,   0,   0,   0}, HelpItem		{ enabled, HMScanhdlg { -6042 } }
	}
};


/* Balloon Help for Standard File */

resource 'hdlg' (CustomGetID,purgeable) {
	HelpMgrVersion,
	10, /* start help with 11th item */
	hmDefaultOptions,
	0,5,
	HMSkipItem {},
	{
		HMStringResItem { {0,1},  {0,0,0,0},  CustomGetID,1,  CustomGetID,2,  0,0,  0,0 }
	}
};

resource 'hdlg' (-4050,purgeable) {
	HelpMgrVersion,
	0, /* start help with 1st item */
	hmDefaultOptions,
	0,1,
	HMSkipItem {},
	{
		HMStringResItem { {0,0},  {0,0,0,0},  CustomGetID,3,  CustomGetID,4,  0,0,  0,0 },
		HMStringResItem { {0,0},  {0,0,0,0},  CustomGetID,5,  0,0,  0,0,  0,0 }
	}
};

resource 'STR#' (CustomGetID, "Help Strings") {
	{	
		/* 1 */	"This is the internal name of the selected profile, which can be different than its file name.",
		/* 2 */	"This is where the internal name of a selected profile is displayed."
				" Nothing is selected now so this area is empty.",

		/* 3 */ "To choose the selected profile, click this button.",
		/* 4 */ "To choose the selected profile, click this button."
				" Nothing is selected now so this button is disabled.",

		/* 5 */ "To close the dialog without changing the current profile selection, click this button."
	}
};

data 'FMAT' (128) {
	$"3700 0005 0000 0000 000C 000C 000C"
	$"0004 0000 0000 0006 0000 0000 1100"
	$"0000 0000 0000 0000 0000 0000 0000"
	$"0000 0B05 0505 060E 0606 0606 0606"
};
