
//===============================================================================
//
//								SimpleCalibratorMain.h
//
//===============================================================================


#pragma once


#include <Displays.h>
#include <CMCalibrator.h>
#include "GammaUtils.h"


typedef struct
{
	AVIDType			displayID;
	CMProfileLocation	profileLocation;
	CMProfileLocation	*allProfileLocations;
	CMProfileRef		profileRef;
	CalibrateEventUPP	eventProc;
	RGBGammaExponent	theNewGamma;
	UserItemUPP			outLineProcUPP;
	UserItemUPP			gammaProcUPP;
	Rect				displayBounds;
	double				gammaExponent;
	WindowRef			mainWindow;
	MenuRef				profileMenu;
	Handle				profile;
	SInt16				numProfiles;
	SInt16				count;
	Boolean				quitting;
	Boolean				createIt;
} CalibratorGlobals, *CalibratorGlobalsPtr;

