
//===============================================================================
//
//								   GammaUtils.h
//
//===============================================================================


#ifndef	__GAMMAUTILS__
#define	__GAMMAUTILS__


#include <QuickDraw.h>			// For RGBColor definition
#include <Windows.h>			// For WCTabHandle definition
#include <Displays.h>			// For definition of AVIDType


#define kNominalGammaX				195
#define kFullGammaX					0xFF
#define kGammaMaxVal				0xFF
#define kMaxGain					0xFE
#define kMaxDelta					20.0
#define kMinDelta					1.0
#define kMaxTargetCrossings			4
#define kMaxWhiteIterations			30
#define kMinimumWhiteLuminanceFL	5
#define kIntegerRoundOff			0.5


enum
{
	kVPTLuminanceTooLowError		= 450,
	kVPTGainOverflowError,
	kVPTCantApproximateGrayError,
	kVPTGammaNotRationalError,
	kVPTGammaCantBeProgrammed
};

typedef struct VPTGamma
{
	UInt16		red[256];
	UInt16		green[256];
	UInt16		blue[256];
} VPTGamma, *VPTGammaPtr, **VPTGammaHdl;

typedef struct RGBGammaExponent
{
	double	red;
	double	green;
	double	blue;
} RGBGammaExponent, *RGBGammaExponentPtr, **RGBGammaExponentHdl;


typedef struct VptSystemGamma
{
	SInt16 		gVersion;		// gamma version number
	SInt16 		gType;			// gamma data type
	SInt16		gFormulaSize;	// Formula data size
	SInt16		gChanCnt;		// number of channels of data
	SInt16 		gDataCnt;		// number of values/channel
	SInt16 		gDataWidth; 	// bits/corrected value
	Byte		red[256];
	Byte		green[256];
	Byte		blue[256];
} VptSystemGamma;

typedef struct RGBUShort
{
	UInt16		red;
	UInt16		green;
	UInt16		blue;
}
RGBUShort;

typedef RGBUShort RGBGammaPoint;


OSErr VPTProgramGammaExponent (AVIDType avID, RGBGammaExponentPtr gammaExp);

void ScaleGamma (VPTGamma* gamma, UInt16 maxVal, SInt16 stepValue);
OSErr VPTProgramSystemGamma (AVIDType avID, VPTGamma* gamma, VptSystemGamma *optionalGamma);
OSErr MyVDControl (SInt16 refNum, SInt16 csCode, Ptr theCtrlParm);
void GammaExponent (SInt16 x, SInt16 y, SInt16 altX, SInt16 altY, double *exp);
OSErr MakeArbitraryGamma (VPTGamma *gamma, RGBGammaExponent *exponent, RGBGammaPoint *maxScale, 
		RGBGammaPoint *offset, SInt16 stepValue);
OSErr GetSystemGammaTableByAVID (AVIDType theDisplayID, VptSystemGamma *theGamma);
OSErr SetSystemGammaTableByAVID (AVIDType theDisplayID, VptSystemGamma *theGamma);


#endif			// __GAMMAUTILS__
