/* ___________________________________________________________________________________________

	File:		MemUtils.h

	Contains:	Definition of Memory utility routines - cross platform abstractions
	Version:	ColorSync 2 or later
	Written by:	Eric Broadbent
	Copyright:	 1997-98 by Apple Computer, Inc. All rights reserved.

	File Ownership:
		DRI:				David Hayward
		Other Contact:		Steve Swen
		Technology:			ColorSync 2

	Writers:

		(ebb)	Eric Broadbent

	Change History (most recent first):

		<2>	 	04/29/98	WN		TARGET_OS_WIN32 support added, SmartSetHandleSize / SmartSetPtrSize parameter changes
		<1>	 	08/22/97	ebb		Created.

	To do:
	
   ___________________________________________________________________________________________ */

#ifndef __MemUtils__
#define __MemUtils__

#include <MacTypes.h>
#include <string.h>
#include <MacMemory.h>


#define	SmartDisposeHandle	SmartDisposeHdl


#define	SIZE					Size
#define	SmartMemError(b)		MemError()
#define	kMemErrorParam			1



#ifdef __cplusplus
extern "C"
{
#endif

Handle
SmartNewHandle			(	SIZE	byteCount,
							OSErr	*resultCode );
Ptr
SmartNewPtr				(	SIZE	byteCount,
							OSErr	*resultCode );
Ptr
SmartNewPtrMax			(	SIZE	maximumNeeded,
							OSErr	*err,
							SIZE	*amountAllocated );
Handle
SmartNewHandleClear		(	SIZE	byteCount,
							OSErr	*resultCode );
Ptr
SmartNewPtrClear		(	SIZE	byteCount,
							OSErr	*resultCode );
OSErr
SmartSetPtrSize			(	Ptr 	*p,
							SIZE	newSize );
SIZE
SmartGetHandleSize		(	Handle	h);

OSErr
SmartSetHandleSize		(	Handle	*h,
							SIZE	newSize );
OSErr
SmartHandToHand			(	Handle	*h,
							Handle	original );
void
SmartDisposePtr			(	Ptr		*p );

void
SmartDisposeHdl			(	Handle	*h );

void
SetMem					(	void	*bytePtr,
							Size	numBytes,
							unsigned char	byteValue );

void	SmartLock				(	Handle		h );
void	SmartUnlock				(	Handle		h );
SInt8	SmartHGetState			(	Handle		h );
void	SmartHSetState			(	Handle		h,
									SInt8		state );
SIZE	SmartGetPtrSize			(	Ptr			p );

#ifdef __cplusplus
}
#endif

#endif	// __MemUtils__


