/*
	File:		plugIO.h
	Contains:	
	Version:	ColorSync 2 or later
	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.

	File Ownership:
		DRI:				David Hayward
		Other Contact:		Steve Swen
		Technology:			ColorSync 2

	Writers:

		(DH)	David Hayward

	Change History (most recent first):

		 <2>	 4/10/98	DH		Various improvements.
		 <1>	 3/26/98	DH		First checked in.
*/

#ifndef PLUGIO_H
#define PLUGIO_H

#include <stdio.h>
#include <Types.h>

enum {
	kEndianN = 0,
	kEndianB,
	kEndianL
};


FILE *		fopen_spec	(const FSSpec *spec, const char *mode);

OSErr		RewindFile	(FILE*);
OSErr		FileLength	(FILE *fp, long *len );

OSErr		ReadSize	(FILE*, UInt32 size, Ptr data);
OSErr		WriteSize	(FILE*, UInt32 size, Ptr data);
OSErr		SkipSize	(FILE*, UInt32 size);
OSErr		CopySize	(FILE*, FILE*, UInt32 size, Ptr data);

OSErr		ReadByte	(FILE*, UInt8 *data);
OSErr		WriteByte	(FILE*, UInt8 data);
OSErr		CopyByte	(FILE*, FILE*, UInt8 *data);

OSErr		ReadWord	(FILE*, UInt16 *data, int endian);
OSErr		WriteWord	(FILE*, UInt16 data, int endian);
OSErr		CopyWord	(FILE*, FILE*, UInt16 *data, int endian);

OSErr		ReadLong	(FILE*, UInt32 *data, int endian);
OSErr		WriteLong	(FILE*, UInt32 data, int endian);
OSErr		CopyLong	(FILE*, FILE*, UInt32 *data, int endian);


#endif	/* PLUGIO_H */
												

