/*
	File:		plugUtil.h
	Contains:	
	Version:	ColorSync 2 or later
	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.

	File Ownership:
		DRI:				David Hayward
		Other Contact:		Steve Swen
		Technology:			ColorSync 2

	Writers:
		(DH)	David Hayward

	Change History (most recent first):

		 <4>	 4/10/98	DH		Added OpenProfileHdlAsTemp.
		 <3>	 2/16/98	DH		[2213180]  Named profiles are no longer allowed.
		 <2>	11/10/97	DH		Moved ColorSync gestalts to Gestalt.h.
*/


#ifndef __PLUGUTIL__
#define __PLUGUTIL__

#include <Types.h>
#include <Files.h>
#include <CMApplication.h>




#if PRAGMA_ONCE
#pragma once
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT
#pragma import on
#endif


enum {
	kProfileDefault			= 0xFFFFFFFF
};

CMError OpenProfileHdl ( Handle h, CMProfileRef *ref, UInt32 qual, UInt32 intent );

CMError OpenProfileHdlAsTemp ( Handle h, CMProfileRef *ref, UInt32 qual, UInt32 intent );

CMError PrepareColorWorld ( CMProfileRef srcProf, CMProfileRef dstProf, CMProfileRef prfProf, 
					CMWorldRef *cw );


#ifdef __cplusplus
}
#endif

#endif /* __PLUGUTIL__ */

