/*
	File:		SystemProfile.h

	Contains:	SystemProfile functions for ColorSync dispatcher
	Copyright:	 1995, 1997 by Apple Computer, Inc., all rights reserved.
	Version:	ColorSync 2 or later

	File Ownership:
		DRI:				David Hayward
		Other Contact:		Steve Swen
		Technology:			ColorSync 2

	Writers:

		(jkc)	john calhoun
		(DH)	David Hayward

	Change History (most recent first):

		 <5>	 3/18/98	ebb		Remove unused include.
		 <4>	11/25/97	jkc		Handle CMAddDisplayTagsByAVID() now.
		 <3>	 9/25/97	DH		Removed #if GENERATING68K
		 <2>	 9/19/97	DH		added two internal-use utilities.
		--->  Older change history at bottom of file  <--- 
*/


#ifndef __GammaUtils__
#define __GammaUtils__

#ifndef __MACTYPES__
#include <MacTypes.h>
#endif
#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif


OSErr DoCMGetGammaByAVID ( AVIDType theAVID, CMVideoCardGamma *gamma, UInt32 *size );
OSErr DoCMSetGammaByAVID ( AVIDType theAVID, CMVideoCardGamma *gamma );

#endif


