/*
	File:		DebugAssert.c

	Contains:	

	Version:	ColorSync 2 or later

	Copyright:	 1996-1997 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				David Hayward

		Other Contact:		Steve Swen

		Technology:			ColorSync 2

	Writers:

		(AG)	Anil Gursahani
		(DH)	David Hayward

	Change History (most recent first):

		 <2>	 8/20/97	DH		Changed to support UnivInterf 3.0.
		 <1>	 1/10/97	DH		First checked in.
		 <5>	  1/3/97	DH		Fixed stupid bugs in PConcat and CConcat.
		 <4>	 11/5/96	DH		Fixed DebugAssert warnings.
		 <3>	10/29/96	AG		Just touch the file so the file will be forced to be recompiled.
									Commented out the conditional - #if FOR_SYSTEM7_ONLY. This
									conditional was causing file not to be compiled.
		 <2>	 9/20/96	DH		Trying to find quirk in DebugAssert.
		 <1>	 9/10/96	DH		First checked in.
*/


#include <MacTypes.h>					// <-- Private interfaces.
#include <ConditionalMacros.h>
#include "DebugAssert.h"

//--------------------------------------------------------------  PasStringConcat

#if TARGET_RT_MAC_CFM


static void CConcat (StringPtr p1, char* p2)
{
	char	*len, wasLength, i;
	
	wasLength = *p1;
	len = (char*)p1;
	
	p1++;
	p1+=wasLength;

	for (i=wasLength; i<255 && *p2; i++)
		*p1++ = *p2++;
	
	*len = i;
}

static void NumToStr ( long num, char *str )
{
	if (num==0)
		*str++ = '0';
	else
	{
		long digits;
		long numm;
		
		if (num<0)
		{
			*str++ = '-';
			num = -num;
		}
		
		digits = 0;
		numm = num;
		
		do {
			numm /= 10;
			digits++;
		} while (numm);
			
		str += digits;
		
		do {
			*(--str) = '0' + (num%10);
			num /= 10;
		} while (num);
		
		str += digits;
	}
	*str++ = 0;
}

void DebugAssert (OSType componentSignature, UInt32 options, char *assertionString, 
		char *exceptionString, char *errorString, char *fileName, SInt32 lineNumber, 
		void *value)
{
#pragma unused (value, errorString, exceptionString, options)

	Str255		errString="\pAssert Failed\nComponent  XXXX\nAssert  ";
	char		tmpString[12];
	
				// Component
	*(OSType*)(errString+26) = componentSignature;	
	
				// Assert
	CConcat( errString, assertionString);
	
				// File
	CConcat( errString, "\nFile  ");
	CConcat( errString, fileName);
	
				// Line
	CConcat( errString, "\nLine  ");
	NumToStr(lineNumber,tmpString);
	CConcat( errString, tmpString);
	
	DebugStr(errString);
}

#endif			// TARGET_RT_MAC_CFM



